Novell Home

CVE-2014-2324

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-2324 at MITRE

Description

Multiple directory traversal vulnerabilities in (1) mod_evhost and (2) mod_simple_vhost in lighttpd before 1.4.35 allow remote attackers to read arbitrary files via a .. (dot dot) in the host name, related to request_check_hostname.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:P/I:N/A:N)

Novell/SUSE information

Novell Bugzilla entry: 867350

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SLE 11 SP3 DEBUGINFO
  • lighttpd-debuginfo >= 1.4.20-2.54.1
  • lighttpd-debugsource >= 1.4.20-2.54.1
Builds
SAT Patch Nr: 9031
SUSE Linux Enterprise High Availability Extension 11 SP3
  • lighttpd >= 1.4.20-2.54.1
Builds
SAT Patch Nr: 9031
SUSE Linux Enterprise Software Development Kit 11 SP3
  • lighttpd >= 1.4.20-2.54.1
  • lighttpd-mod_cml >= 1.4.20-2.54.1
  • lighttpd-mod_magnet >= 1.4.20-2.54.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.54.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.54.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.54.1
  • lighttpd-mod_webdav >= 1.4.20-2.54.1
Builds
SAT Patch Nr: 9031

© 2014 Novell